/**
 * Japanese (Kanji)
 *
 * LCD Menu Messages
 * Please note these are limited to 17 characters!
 *
 */
#ifndef DOGLCD
  #include "language_kana.h" // fallback to kana
  #define LANGUAGE_KANJI_H
#endif 
 
#ifndef LANGUAGE_KANJI_H
#define LANGUAGE_KANJI_H

#define MAPPER_NON
#define DISPLAY_CHARSET_KANJI

// HINT FOR ichibey; YOU CAN NOW MAKE USE OF THE LAST 8 SYMBOLS FOR YOUT PURPOSE, SINCE THE MARLIN_SYMBOLS NOW HAVE THEIR OWN FONT:

// 漢字混じり表示
#define WELCOME_MSG                         MACHINE_NAME "\x8a\x8b\x90\x91\xa4\xa5\x7f"                    // "ready."
#define MSG_SD_INSERTED                     "SD\xb6\xb0\xc4\xde\x20\x84\xa2\xa3\xbb\xda\xcf\xbc\xc0"       // "Card inserted"
#define MSG_SD_REMOVED                      "SD\xb6\xb0\xc4\xde\x20\x84\xe3\xb6\xda\xcf\xbc\xc0"           // "Card removed"
#define MSG_MAIN                            "\xd2\xb2\xdd"                                                 // "Main"
#define MSG_AUTOSTART                       "\x93\x88\xb6\xb6\xb2\xbc"                                     // "Autostart"
#define MSG_DISABLE_STEPPERS                "\xd3\xb0\xc0\xb0\xe7\xe8\xe9\xea\x20\xb5\xcc"                 // "Disable steppers"
#define MSG_AUTO_HOME                       "\x98\x99\x9a\x9b\xcd \x86\x87\x88\xb6"                        // "Auto home"
#define MSG_SET_HOME_OFFSETS                "\x8c\x8d\x8a\x8b\xb5\xcc\xbe\xaf\xc4\xf1\xf2\xf3\xf4"         // "Set home offsets"
#define MSG_SET_ORIGIN                      "\x8c\x8d\x8a\x8b\xbe\xaf\xc4"                                 // "Set origin"
#define MSG_PREHEAT_PLA                     "PLA \x92\x94\x95"                                             // "Preheat PLA"
#define MSG_PREHEAT_PLA_N                   MSG_PREHEAT_PLA " "
#define MSG_PREHEAT_PLA_ALL                 MSG_PREHEAT_PLA " \x96\x97\xc3"                                // " All"
#define MSG_PREHEAT_PLA_BEDONLY             MSG_PREHEAT_PLA " \xcd\xde\xaf\xc4\xde"                        // "Bed"
#define MSG_PREHEAT_PLA_SETTINGS            MSG_PREHEAT_PLA " \xbe\xaf\xc3\xb2"                            // "conf"
#define MSG_PREHEAT_ABS                     "ABS \x92\x94\x95"                                             // "Preheat ABS"
#define MSG_PREHEAT_ABS_N                   MSG_PREHEAT_ABS " "
#define MSG_PREHEAT_ABS_ALL                 MSG_PREHEAT_ABS " \xbd\xcd\xde\xc3"                            // " All"
#define MSG_PREHEAT_ABS_BEDONLY             MSG_PREHEAT_ABS " \xcd\xde\xaf\xc4\xde"                        // "Bed"
#define MSG_PREHEAT_ABS_SETTINGS            MSG_PREHEAT_ABS " \xbe\xaf\xc3\xb2"                            // "conf"
#define MSG_COOLDOWN                        "\xb6\xe5\x94\x95\xb2\x9e\xf7"                                 // "Cooldown"
#define MSG_SWITCH_PS_ON                    "\xe7\xe8\xe9\xea\x20\xb5\xdd"                                 // "Switch power on"
#define MSG_SWITCH_PS_OFF                   "\xe7\xe8\xe9\xea\x20\xb5\xcc"                                 // "Switch power off"
#define MSG_EXTRUDE                         "\x84\x85\xbc\xc0\xde\xbc"                                     // "Extrude"
#define MSG_RETRACT                         "\xd8\xc4\xd7\xb8\xc4"                                         // "Retract"
#define MSG_MOVE_AXIS                       "\x8e\x8f\x86\x87\x88\xb6"                                     // "Move axis"
#define MSG_MOVE_X                          "X\x8e\x8f\x86\x87\x88\xb6"                                    // "Move X"
#define MSG_MOVE_Y                          "Y\x8e\x8f\x86\x87\x88\xb6"                                    // "Move Y"
#define MSG_MOVE_Z                          "Z\x8e\x8f\x86\x87\x88\xb6"                                    // "Move Z"
#define MSG_MOVE_E                          "\xb4\xb8\xbd\xc4\xd9\xb0\xc0\xde\xb0"                         // "Extruder"
#define MSG_MOVE_01MM                       "0.1mm \x86\x87\x88\xb6"                                       // "Move 0.1mm"
#define MSG_MOVE_1MM                        "  1mm \x86\x87\x88\xb6"                                       // "Move 1mm"
#define MSG_MOVE_10MM                       " 10mm \x86\x87\x88\xb6"                                       // "Move 10mm"
#define MSG_SPEED                           "\xbd\xcb\xdf\xb0\xc4\xde"                                     // "Speed"
#define MSG_NOZZLE                          "\xc9\xbd\xde\xd9"                                             // "Nozzle"
#define MSG_BED                             "\xcd\xde\xaf\xc4\xde"                                         // "Bed"
#define MSG_FAN_SPEED                       "\xcc\xa7\xdd\xed\xe6\x82\x83"                                 // "Fan speed"
#define MSG_FLOW                            "\xed\xee\xd8\x7d"                                             // "Flow"
#define MSG_CONTROL                         "\xba\xdd\xc4\xdb\xb0\xd9"                                     // "Control"
#define MSG_MIN                             LCD_STR_THERMOMETER " Min"
#define MSG_MAX                             LCD_STR_THERMOMETER " Max"
#define MSG_FACTOR                          LCD_STR_THERMOMETER " Fact"
#define MSG_AUTOTEMP                        "\x93\x88\xb6\x80\x81\x82\x83"                                 // "Autotemp"
#define MSG_ON                              "On "
#define MSG_OFF                             "Off"
#define MSG_PID_P                           "PID-P"
#define MSG_PID_I                           "PID-I"
#define MSG_PID_D                           "PID-D"
#define MSG_PID_C                           "PID-C"
#define MSG_ACC                             "\xb6\xe5\xed\xe6\x82\x83"                                     // "Accel"
#define MSG_VXY_JERK                        "Vxy-jerk"
#define MSG_VZ_JERK                         "Vz-jerk"
#define MSG_VE_JERK                         "Ve-jerk"
#define MSG_VMAX                            "Vmax "
#define MSG_X                               "x"
#define MSG_Y                               "y"
#define MSG_Z                               "z"
#define MSG_E                               "e"
#define MSG_VMIN                            "Vmin"
#define MSG_VTRAV_MIN                       "VTrav min"
#define MSG_AMAX                            "Amax "
#define MSG_A_RETRACT                       "A-retract"
#define MSG_XSTEPS                          "Xsteps/mm"
#define MSG_YSTEPS                          "Ysteps/mm"
#define MSG_ZSTEPS                          "Zsteps/mm"
#define MSG_ESTEPS                          "Esteps/mm"
#define MSG_TEMPERATURE                     "\x80\x81\x82\x83"                                             // "Temperature"
#define MSG_MOTION                          "\x88\xb6\xef\xf1\xf2\xf3\xf4"                                 // "Motion"
#define MSG_VOLUMETRIC                      "\xcc\xa8\xd7\xd2\xdd\xc4"                                     // "Filament"
#define MSG_VOLUMETRIC_ENABLED              "E in mm3"
#define MSG_FILAMENT_SIZE_EXTRUDER_0        "Fil. Dia. 1"
#define MSG_FILAMENT_SIZE_EXTRUDER_1        "Fil. Dia. 2"
#define MSG_FILAMENT_SIZE_EXTRUDER_2        "Fil. Dia. 3"
#define MSG_FILAMENT_SIZE_EXTRUDER_3        "Fil. Dia. 4"
#define MSG_CONTRAST                        "LCD\xba\xdd\xc4\xd7\xbd\xc4"                                  // "LCD contrast"
#define MSG_STORE_EPROM                     "\xd2\xd3\xd8\xcd\xb6\xb8\xc9\xb3"                             // "Store memory"
#define MSG_LOAD_EPROM                      "\xd2\xd3\xd8\xb6\xd7\xd6\xd0\ba\xd0"                          // "Load memory"
#define MSG_RESTORE_FAILSAFE                "\xf1\xf2\xf3\xf4\xd8\xbe\xaf\xc4"                             // "Restore failsafe"
#define MSG_REFRESH                         "\xd8\xcc\xda\xaf\xbc\xad"                                     // "Refresh"
#define MSG_WATCH                           "\xb2\xdd\xcc\xab"                                             // "Info screen"
#define MSG_PREPARE                         "\x8a\x8b\x90\x91\xf1\xf2\xf3\xf4"                             // "Prepare"
#define MSG_TUNE                            "\xf1\x9f\x9c\x9d"                                             // "Tune"
#define MSG_PAUSE_PRINT                     "\xb0\xf5\xf6\xb2\x9e\xf7"                                     // "Pause print"
#define MSG_RESUME_PRINT                    "\xcc\xdf\xd8\xdd\xc4 \xa0\xa1\x7b\x7c"                        // "Resume print"
#define MSG_STOP_PRINT                      "\xcc\xdf\xd8\xdd\xc4 \xb2\x9e\xf7"                            // "Stop print"
#define MSG_CARD_MENU                       "SD\xb6\xb0\xc4\xde\xb6\xd7\xcc\xdf\xd8\xdd\xc4"               // "Print from SD"
#define MSG_NO_CARD                         "SD\xb6\xb0\xc4\xde\xb6\xde\xb1\xd8\xcf\xbe\xdd"               // "No SD card"
#define MSG_DWELL                           "\xbd\xd8\xb0\xcc\xdf"                                         // "Sleep..."
#define MSG_USERWAIT                        "\xbc\xca\xde\xd7\xb9\xb5\xcf\xc1\xb8\xc0\xde\xbb\xb2"         // "Wait for user..."
#define MSG_RESUMING                        "\xcc\xdf\xd8\xdd\xc4 \xa0\xa1\x7b\x7c"                        // "Resuming print"
#define MSG_PRINT_ABORTED                   "\xcc\xdf\xd8\xdd\xc4\xc1\xad\xb3\xbc\xbb\xda\xcf\xbc\xc0"     // "Print aborted"
#define MSG_NO_MOVE                         "\x88\xb6\xb7\xcf\xbe\xdd"                                     // "No move."
#define MSG_KILLED                          "\xbc\xae\xb3\xb7\xae"                                         // "KILLED. "
#define MSG_STOPPED                         "\xb2\x9e\xf7\xbc\xcf\xbc\xc0"                                 // "STOPPED. "
#define MSG_CONTROL_RETRACT                 "Retract mm"
#define MSG_CONTROL_RETRACT_SWAP            "Swap Re.mm"
#define MSG_CONTROL_RETRACTF                "Retract  V"
#define MSG_CONTROL_RETRACT_ZLIFT           "Hop mm"
#define MSG_CONTROL_RETRACT_RECOVER         "UnRet +mm"
#define MSG_CONTROL_RETRACT_RECOVER_SWAP    "S UnRet+mm"
#define MSG_CONTROL_RETRACT_RECOVERF        "UnRet  V"
#define MSG_AUTORETRACT                     "AutoRetr."
#define MSG_FILAMENTCHANGE                  "\xcc\xa8\xd7\xd2\xdd\xc4\xeb\xec\x84\xe4"                     // "Change filament"
#define MSG_INIT_SDCARD                     "SD\xb6\xb0\xc4\xde\\xa0\xa1\xd6\xd0\xba\xd0"                  // "Init. SD card"
#define MSG_CNG_SDCARD                      "SD\xb6\xb0\xc4\xde\xeb\xec\x84\xe4"                           // "Change SD card"
#define MSG_ZPROBE_OUT                      "Z\xcc\xdf\xdb\xb0\xcc\xde \xcd\xde\xaf\xc4\xee\xb6\xde\xb2"   // "Z probe out. bed"
#define MSG_POSITION_UNKNOWN                "\xb9\xde\xdd\xc3\xdd\xcaXY\xb2\xc4\xde\xb3\xba\xdeZ"           // "Home X/Y before Z"
#define MSG_ZPROBE_ZOFFSET                  "Z\xb5\xcc\xbe\xaf\xc4"                                        // "Z Offset"
#define MSG_BABYSTEP_X                      "\xcb\xde\xc4\xde\xb3 X"                                       // "Babystep X"
#define MSG_BABYSTEP_Y                      "\xcb\xde\xc4\xde\xb3 Y"                                       // "Babystep Y"
#define MSG_BABYSTEP_Z                      "\xcb\xde\xc4\xde\xb3 Z"                                       // "Babystep Z"
#define MSG_ENDSTOP_ABORT                   "Endstop abort"
#define MSG_HEATING                         "\xb6\xe5\x94\x95\x89..."                                      // "Heating..."
#define MSG_HEATING_COMPLETE                "\xb6\xe5\x94\x95\xa4\xa5\x7f"                                 // "Heating done."
#define MSG_BED_HEATING                     "\xcd\xde\xaf\xc4\xde\xb6\xe5\x94\x95\x89"                     // "Bed Heating."
#define MSG_BED_DONE                        "\xcd\xde\xaf\xc4\xde\xb6\xe5\x94\x95\xa4\xa5\x7f"             // "Bed done."
#define MSG_ENDSTOPS_HIT                    "endstops hit: "

#ifdef DELTA_CALIBRATION_MENU
    #define MSG_DELTA_CALIBRATE             "Delta Calibration"
    #define MSG_DELTA_CALIBRATE_X           "Calibrate X"
    #define MSG_DELTA_CALIBRATE_Y           "Calibrate Y"
    #define MSG_DELTA_CALIBRATE_Z           "Calibrate Z"
    #define MSG_DELTA_CALIBRATE_CENTER      "Calibrate Center"
#endif // DELTA_CALIBRATION_MENU

#endif // LANGUAGE_JP2_H
